﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Problems.VehicleRouting.ProblemInstances;

namespace HeuristicLab.PollutionRoutingProblem {
  public class CPRPInsertionInfo : CVRPInsertionInfo {
    private readonly double load;

    public double Load {
      get { return load; }
    }

    private readonly double drivenDistance;

    public double DrivenDistance {
      get { return drivenDistance; }
    }

    public CPRPInsertionInfo(int start, int end, double spareCapacity, double load, double drivenDistance)
      : base(start, end, spareCapacity) {
      this.load = load;
      this.drivenDistance = drivenDistance;
    }
  }

  public class CPRPEvaluation : CVRPEvaluation {
    public double EnergyConsumption { get; set; }
  }
}
